/**
* Unas Help App
* Implementing an App to show the help information
*/
var HelpApp = HelpApp || {};  //Define UNAS Help App namespace.
/**
*Constructor UNAS App
*/
HelpApp.App = function () {
    this.id = 'Unas Help';
    this.name = 'Unas Help';
    this.version = '6.0.5';
    this.active = false;
    this.menuIcon = '/apps/help/images/logo.png?v=6.0.5&';
    this.shortcutIcon = '/apps/help/images/logo.png?v=6.0.5&';
    var self = this;
    this.HelpWindow = function () { //create app window
        self.window=new MUI.Window({
            id: 'HelpWindow',
            title: UNAS._('UNAS Help'),
            icon: '/apps/help/images/logo_small.png?v=6.0.5&',
            width: 1000,
            height: 500,
            maximizable: false,
            resizable: true,
            scrollbars: true,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            require: { css: ['/apps/help/css/unashelp.css?v=6.0.5&']},
            contentURL: '/apps/help/unashelp_main.html?v=6.0.5&'
         });
    };
    this.HelpUninstall = function () {
        UNAS.RemoveDesktopShortcut('Unas Help');
        UNAS.RemoveMenu('Unas Help');
        UNAS.RemoveAppFromApps('Unas Help');
    }
    new UNAS.Menu('UNAS_Help_Menu', this.name, this.menuIcon, 'Unas Help', '', this.HelpWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Unas Help', this.HelpWindow);
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Unas Help', UNAS._('Unas Help')); //translate menu
        UNAS.SetShortcutTitle('Unas Help', UNAS._('Unas Help')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('HelpWindow', UNAS._('UNAS Help'));
        }
    };
    UNAS.LoadTranslation('/apps/help/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.HelpWindow, this.HelpUninstall);
};

new HelpApp.App();
